<template>
  <view class='container'>
    <view class="weapp-btn" v-if="weappShow">
      <open-weapp :username="'gh_2a4feb568ecb'" :path="rightPath"></open-weapp>
    </view>
    <button v-else class="cu-btn block detail round">线上云赛</button>
  </view>
</template>

<script>
import OpenWeapp from '@/components/open-weapp';

export default {
  data() {
    return {
      rightPath: '/pages/pattern/index',
      weappShow: process.env.NODE_ENV === 'production' ? true : false
    }
  },

  components: {
    OpenWeapp
  },

  onLoad() {},

  onShow() {},

  methods: {}

}
</script>

<style>
</style>
